package eu.teraflow.automation.model;

public class DeviceRole {

    private final DeviceRoleId id;
    private final DeviceRoleType type;

    public DeviceRole(DeviceRoleId id, DeviceRoleType type) {

        this.id = id;
        this.type = type;
    }

    public DeviceRoleId getDeviceRoleId() {
        return id;
    }

    public DeviceRoleType getType() {
        return type;
    }
}
